<?php

namespace lib\Core;

abstract class Config
{
    private $_values = [];
    private $_debug = false;
    protected function __construct() {} //
    final public function setDebug($debug)
    {
        $this->_debug = $debug;
    }
    final public function getDebug()
    {
        return $this->_debug;
    }

    final public function __get($name)
    {
        return $this->_values[$name];
    }
    final public function __set($name, $value)
    {
        $this->_values[$name] = $value;
    }
} //Class
